"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _RegoLang = _interopRequireDefault(require("./langs/RegoLang"));

var _JsonLang = _interopRequireDefault(require("./langs/JsonLang"));

require("./modes/regoMode");

require("codemirror/mode/diff/diff");

require("codemirror/mode/javascript/javascript");

require("./activeLine/activeLine");

require("./activeLine/placeholder");

require("codemirror-rego/key-map");

require("codemirror/addon/comment/comment");

require("codemirror/addon/edit/matchbrackets");

require("codemirror/lib/codemirror.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Opa = props => {
  if (props.lang === 'rego') {
    return /*#__PURE__*/_react.default.createElement(_RegoLang.default, {
      data: props
    });
  } else {
    return /*#__PURE__*/_react.default.createElement(_JsonLang.default, {
      data: props
    });
  }
};

var _default = Opa;
exports.default = _default;