"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactCodemirror = require("react-codemirror2");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const JsonLang = props => {
  const data = props.data;
  const optionsJson = {
    mode: {
      name: "javascript",
      json: true,
      statementIndent: 2
    },
    lineNumbers: true,
    lineWrapping: true,
    tabSize: 2,
    readOnly: data.readOnly ? data.readOnly : false,
    styleActiveLine: true
  };
  return /*#__PURE__*/_react.default.createElement(_reactCodemirror.UnControlled, {
    className: data.class ? data.class : null,
    value: data.value ? data.value : null,
    options: optionsJson
  });
};

var _default = JsonLang;
exports.default = _default;